# Time Aggregate

![](/files/-Mihil0Ojz0gfqF_8vL6)

![](/files/-Mihil0PJZfQN1hc_z7m) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Time%20Aggregate.py)

Convert a DataCollection of point-in-time values to its time-aggregated equivalent.

For example, if the collection has a Power data type in W, this method will return a collection with an Energy data type in kWh.

### Inputs

* **data \[Required]**

A houry, sub-hourly or daily data collection that can be aggregated over time to yield data of a different metric. (eg. a data collection of Power values in W).

### Outputs

* **data\_aggr**

The data collection aggregated over time. (eg. a data collection of Energy values in kWh).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/4_extra/time_aggregate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
